# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate git2

Name:           rust-%{crate}
Version:        0.7.5
Release:        1%{?dist}
Summary:        Bindings to libgit2 for interoperating with git repositories

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/git2
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

# libgit2 0.27 doesn't have this field -- see rust-libgit2-sys
Patch1:         rust-git2-no-include_depth.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(bitflags) >= 1.0.0 with crate(bitflags) < 2.0.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(libgit2-sys) >= 0.7.7 with crate(libgit2-sys) < 0.8.0)
BuildRequires:  (crate(log) >= 0.4.0 with crate(log) < 0.5.0)
BuildRequires:  (crate(openssl-probe) >= 0.1.0 with crate(openssl-probe) < 0.2.0)
BuildRequires:  (crate(openssl-sys) >= 0.9.0 with crate(openssl-sys) < 0.10.0)
BuildRequires:  (crate(url) >= 1.0.0 with crate(url) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(docopt) >= 1.0.0 with crate(docopt) < 2.0.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
BuildRequires:  (crate(tempdir) >= 0.3.7 with crate(tempdir) < 0.4.0)
BuildRequires:  (crate(thread-id) >= 3.3.0 with crate(thread-id) < 4.0.0)
BuildRequires:  (crate(time) >= 0.1.39 with crate(time) < 0.2.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Bindings to libgit2 for interoperating with git repositories. This library is
both threadsafe and memory safe and allows both reading and writing git
repositories.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%changelog
* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.5-1
- Update to 0.7.5

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-2
- Bump docopt to 1

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-1
- Update to 0.6.10

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.8-1
- Initial package
